Subject: Re: [Autoconf] Autoconf Digest, Vol 25, Issue 3

From: "Hasnaa Moustafa" <[email-masked]>
Date: Wed, 20 Feb 2008 10:31:18 +0100

Hi Teco,

Just few comments below.

Kind Regards,
Hassnaa

>
> ----------------------------------------------------------------------
> Date: Mon, 18 Feb 2008 21:19:50 +0100
> From: "Teco Boot" <[email-masked]>
> Subject: Re: [Autoconf] AUTOCONF Problem Statement: reviews needed.
> To: "'Emmanuel Baccelli'" <[email-masked]>
> Cc: [email-masked]
> Message-ID: <000001c8726b$9d66b440$d8341cc0$@nl>
> Content-Type: text/plain;       charset="us-ascii"
>
> Hi Emanuel,
>
> Thanks for the new draft.
> I think the document is largely improved.
> Here some comments:
>
> Page 4; Network merging:
> Why not using "MANET merging"?
> Same for Network partitioning.
> And why using term "disconnected MANETs"? What is the difference with
> "Autonomous MANETs"?

I agree with Emmanuel comment that Network merging is a more general term.
As this may be a merging of a MANET with an infrastructure network for
instance, same thing for partitioning.

Concerning the term "disconnected": these are disconnected MANETs that got
merged, where this may happen for autonomous and subordinate categories.

Page 6; 3.1.1.
> I think Car-to-car communication is more or less an autonomous MANET,
> where
> car-to-infrastructure is an example of a subordinate MANET.
> c/Car-to-car communication networks/Vehicle communication networks/ ??

Agree on vehicular communication, however this can fall under the two
categories (autonoumous and subordinate) according to the application (if we
need Internet for example), and to the road architecture (if there are some
fixed deployed entities belonging to a certain authority for example).

Page 7; 3.2.1.
> c/inapproriate/ inappropriate/
>
> Page 8; 4. 3.
> c/face/case/
>
> Page 10; 5.1.2.
> I don't think correctly operating DHCP servers will provide non-unique IP
> addresses. Why is this suggested?

Actually, it is mentioned that this approach "could be used to some extent
for uniqueness maintenance", implying that this is not the whole solution
for IP address uniqueness.

I would say each DHCP server manages its own pool of addresses and it will
> never offer addresses or prefixes with already active leases.
> Same remark on page 11 - 5.3.2
>
> Page 11; 5.3.2
> When IP connectivity exists between a MANET Router and a DHCP Server (set
> up
> by whatever mechanism), what is the problem with DHCP-PD? I can't follow.

I agree with Thomas last comment on this point: what is the case if there is
no IP connectivity between the MANET Router and the DHCP server. This case
can frequently occur according to the scenario type and here, there is an
issue.

Page 12; R 02
> First, the term prefix. I think this term is used in another context as
> RFC4291. In RFC4291 a prefix is simply the subnet part of an address. In
> this document, we specify that a prefix is some kind a aggregate of
> subnets.
> I like this approach, as aggregating may reduce routing protocol overhead.
> But using the same term for two purposes is confusing.
> Second, I think the aggregated prefix allocation is a bootstrap problem
> (onetime shot) and I am not sure if this requirement is a "must" in the
> MANET Autoconf context. I think also the allocated prefixes are to be used
> for the non-MANET interfaces on a MANET Router. I think current protocols
> for prefix delegation can be used, under the condition that the
> requirements
> for MANET address autoconfiguration are fulfilled.
>
> Page 12; R 05
> c/asymetry/asymmetry/
>
> CU@philly,
> Teco
>
_______________________________________________
Autoconf mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/autoconf

---

From: "Teco Boot" <[email-masked]>
Date: Wed, 20 Feb 2008 12:50:38 +0100

Comments inline.

CU, Teco

Van: Hasnaa Moustafa [mailto:[email-masked]] 
Verzonden: woensdag 20 februari 2008 10:31
Aan: Teco Boot
CC: [email-masked]
Onderwerp: Re: Autoconf Digest, Vol 25, Issue 3

Page 4; Network merging:

[Teco:] 

This confuses me. I cannot think of a merge between a MANET network and a
non-MANET network. A network is one or the other.

[Teco:] 

I think the term is an orphan. In previous versions, we had Connected MANET.
Now, this is called Subordinate MANET.

The new term Autonomous MANET is the opposite of a Subordinate MANET.

If disconnected MANET is something else than Autonomous MANET, I want to
know.

Old text:

Network merging  - the process by which two or more previously

      disconnected MANETs get connected.

Network partitioning  - the process by which a MANET splits into two

      or more disconnected MANETs.

Suggested text:

  MANET merging  - the process by which two or more MANETs get connected.

MANET partitioning  - the process by which a MANET splits into two

      or more MANETs.

Page 6; 3.1.1.
I think Car-to-car communication is more or less an autonomous MANET, where
car-to-infrastructure is an example of a subordinate MANET.
c/Car-to-car communication networks/Vehicle communication networks/ ??

[Teco:] This is clear in the text. I did not copy the whole paragraph.

Page 10; 5.1.2.

[Teco:] Yes, there could be incorrectly operating DHCP servers, and
collisions with (invalid) manual configured addresses or SLAAC addresses.

The text below your quote:

   For instance if the

   topology is or becomes such that several DHCP servers configure hosts

   independently in a MANET, there is no guarantee that leased addresses

   will indeed be unique, since the DHCP servers will not check a priori

     the disjoint character of the prefixes they provide leases from.

I don't think this will occur.

Page 11; 5.3.2
When IP connectivity exists between a MANET Router and a DHCP Server (set up
by whatever mechanism), what is the problem with DHCP-PD? I can't follow.

[Teco:] I included the condition that there is IP connectivity. More on this
in the other posting.